Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.format
Class Config

    java.lang.Object
      org.eclipse.ohf.ihe.common.hl7v2.format.Config

    public class Config

extends java.lang.Object

This class is for the configuration of the CX datatypes used in XDS. In the 2005-2006 Connectathon compliant XDS profile CX.4.1 (assigning authority name) was permitted. The 2006-2007 Connectathon compliant XDS specification has incurred a perminant change PROHIBITING the use of CX.4.1. This config option allows you to turn on and off the usage of CX.4.1. The default behavior is to NOT use CX.4.1.

Since:
  OHF 1.0.0
Author:
  Sarah Knoop, Eishay Smith, Glenn Deen

Constructor Summary
`Config(boolean includeCxAssigningAuthorityName)` Sets if the `HL7V2MessageFormat` class will include the Assigning Authority Name attibute from the `CX` object when it formats messages.

Method Summary
`static Config` | `instant()` Gets an instance of the Config.
`boolean` | `isIncludeCxAssigningAuthorityName()` Controls if the `HL7V2MessageFormat` class will include the Assigning Authority Name attibute from the `CX` object when it formats messages.
`static void` | `setDefaultIncludeCxAssigningAuthorityName(boolean defaultIncludeCxAssigningAuthorityName)` Changes the default value used to initialize includeCxAssigningAuthorityName.
`static void` | `start(boolean INCLUDE_CX_ASSIGNING_AUTHORITY_NAME)` Starts the context of this configuration.
`static void` | `stop()` Stops the context of this configuration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Config

    public Config(boolean includeCxAssigningAuthorityName)

  Sets if the `HL7V2MessageFormat` class will include the Assigning Authority Name attibute from the `CX` object when it formats messages.
  Default is false This behavior is used to control the inclusion of this string. Connectathon'07 requries that this not be present - while other XDS implementation do use it.

  Parameters:
    `include_cx_assigning_authority_name` -

Method Detail

### instant

    public static Config instant()

  Gets an instance of the Config. The variable includeCxAssigningAuthorityName will be set to the defaultIncludeCxAssigningAuthorityName in the case that no one has invoked start()

  Returns:
    Config instance with includeCxAssigningAuthorityName set.

### setDefaultIncludeCxAssigningAuthorityName

    public static void setDefaultIncludeCxAssigningAuthorityName(boolean defaultIncludeCxAssigningAuthorityName)

  Changes the default value used to initialize includeCxAssigningAuthorityName.

  Parameters:
    `defaultIncludeCxAssigningAuthorityName` -

### start

    public static void start(boolean INCLUDE_CX_ASSIGNING_AUTHORITY_NAME)

  Starts the context of this configuration.
  Sets if the `HL7V2MessageFormat` class will include the Assigning Authority Name attibute from the `CX` object when it formats messages.
  Default is false This behavior is used to control the inclusion of this string. Connectathon'07 requries that this not be present - while other XDS implementation do use it.

  Parameters:
    `include_cx_assigning_authority_name` -

### stop

    public static void stop()

  Stops the context of this configuration.

### isIncludeCxAssigningAuthorityName

    public boolean isIncludeCxAssigningAuthorityName()

  Controls if the `HL7V2MessageFormat` class will include the Assigning Authority Name attibute from the `CX` object when it formats messages.
  Default is false This behavior is used to control the inclusion of this string. Connectathon'07 requries that this not be present - while other XDS implementation do use it.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD